## class SG_EXPORT osg::PolygonMode

> Class to for setting OpenGL's polygon culling mode

## Inheritance:

### Public Methods

PolygonMode()
PolygonMode(const PolygonMode& pm, const CopyOp& copyop=CopyOp::SHALLOW_COPY)
  Copy constructor using CopyOp to manage deep vs shallow copy
META_StateAttribute(osg, PolygonMode, POLYGONMODE)
virtual int compare(const StateAttribute& sa) const
  return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs
void setMode(Face face, Mode mode)
Mode getMode(Face face) const
inline bool getFrontAndBack() const
virtual void apply(State& state) const

### Public Members

enum Face
enum Mode

### Protected Fields

bool _frontAndBack
Mode _modeFront
Mode _modeBack

### Protected Methods

virtual ~PolygonMode()

### Inherited from StateAttribute:

### Public Methods

virtual Object* cloneType() const
virtual Object* clone(const CopyOp&) const
virtual bool isSameKindAs(const Object* obj) const
virtual const char* libraryName() const
virtual const char* className() const
virtual Type getType() const
virtual bool isTextureAttribute() const
bool operator < (const StateAttribute& rhs) const
bool operator == (const StateAttribute& rhs) const
bool operator != (const StateAttribute& rhs) const
virtual void getAssociatedModes(std::vector<GLMode>& ) const
virtual void compile(State&) const

### Public Members

typedef GLenum GLMode
typedef unsigned int GLModeValue
typedef unsigned int OverrideValue
enum Values
typedef unsigned int Type
enum Types

### Inherited from Object:

### Public Methods

inline void setDataVariance(DataVariance dv)
inline DataVariance getDataVariance() const
inline void setUserData(Referenced* obj)
inline Referenced* getUserData()
inline const Referenced* getUserData() const

### Public Members

enum DataVariance

### Protected Fields

DataVariance _dataVariance
ref_ptr<Referenced> _userData

### Inherited from Referenced:

### Public Methods

inline Referenced& operator = (Referenced&)
static void setDeleteHandler(DeleteHandler* handler)
static DeleteHandler* getDeleteHandler()
inline void ref() const
inline void unref_nodelete() const
inline int referenceCount() const
inline void unref() const

### Protected Fields

mutable int _refCount

## Documentation

> Class to for setting OpenGL's polygon culling mode

`PolygonMode()`

`PolygonMode(const PolygonMode& pm, const CopyOp& copyop=CopyOp::SHALLOW_COPY)`
  Copy constructor using CopyOp to manage deep vs shallow copy

`META_StateAttribute(osg, PolygonMode, POLYGONMODE)`

`virtual int compare(const StateAttribute& sa) const`
  return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs

`enum Face`

`FRONT`

`BACK`

`FRONT_AND_BACK`

`enum Mode`

`POINT`

`LINE`

`FILL`

`void setMode(Face face, Mode mode)`

`Mode getMode(Face face) const`

`inline bool getFrontAndBack() const`

`virtual void apply(State& state) const`

`virtual ~PolygonMode()`

`bool _frontAndBack`

`Mode _modeFront`

`Mode _modeBack`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.